SELECT 
(Format(tbBuchung.Zeit,"H") & ":00 - " & Format(tbBuchung.Zeit,"H") + 1 & ":00") AS Kaufzeiten, 

CCur(ROUND(SUM(IIF(tbBuchung.ZahlArt='ENTNAHME' OR tbBuchung.BelegTyp='GS',-tbBuchungDetail.Menge/tbBuchungDetail.BasisMenge,tbBuchungDetail.Menge/tbBuchungDetail.BasisMenge)*tbBuchungDetail.EKPreis),2)) AS [EK Netto],

CCur(ROUND(SUM(IIF(tbBuchung.ZahlArt='ENTNAHME',-(tbBuchungDetail.GesamtPreisBrutto / (tbBuchungDetail.SteuerSatz / 100 + 1)),(tbBuchungDetail.GesamtPreisBrutto / (tbBuchungDetail.SteuerSatz / 100 + 1)))),2)) AS [VK Netto],


CCur(ROUND(SUM(IIF(tbBuchung.ZahlArt='ENTNAHME',-tbBuchungDetail.GesamtPreisBrutto,tbBuchungDetail.GesamtPreisBrutto)),2))
-
CCur(ROUND(SUM(IIF(tbBuchung.ZahlArt='ENTNAHME',-(tbBuchungDetail.GesamtPreisBrutto / (tbBuchungDetail.SteuerSatz / 100 + 1)),(tbBuchungDetail.GesamtPreisBrutto / (tbBuchungDetail.SteuerSatz / 100 + 1)))),2)) AS [Ust],  


CCur(ROUND(SUM(IIF(tbBuchung.ZahlArt='ENTNAHME',-tbBuchungDetail.GesamtPreisBrutto,tbBuchungDetail.GesamtPreisBrutto)),2)) AS [VK Brutto],

CCur(ROUND(SUM(IIF(tbBuchung.ZahlArt='ENTNAHME',-(tbBuchungDetail.GesamtPreisBrutto / (tbBuchungDetail.SteuerSatz / 100 + 1)),(tbBuchungDetail.GesamtPreisBrutto / (tbBuchungDetail.SteuerSatz / 100 + 1)))),2))
-
CCur(ROUND(SUM(IIF(tbBuchung.ZahlArt='ENTNAHME' OR tbBuchung.BelegTyp='GS',-tbBuchungDetail.Menge/tbBuchungDetail.BasisMenge,tbBuchungDetail.Menge/tbBuchungDetail.BasisMenge)*tbBuchungDetail.EKPreis),2)) AS [Gewinn]

FROM tbBuchung INNER JOIN tbBuchungDetail ON tbBuchung.BuchungID = tbBuchungDetail.BuchungID 

WHERE (tbBuchung.BelegTyp='BN' OR tbBuchung.BelegTyp='RG' OR tbBuchung.BelegTyp='GS') 

AND (tbBuchungDetail.EAN <> 'ZWS') 
AND (tbBuchungDetail.EAN NOT LIKE '401-Entnahme%') 
AND (tbBuchungDetail.EAN <> '401-Einlage')  
AND (tbBuchungDetail.WarenGruppe <>'401-Gutschein') 
AND (tbBuchungDetail.WarenGruppe <>'401-GutscheinErloes') 
AND (tbBuchung.IsStorniert=0) 


AND (tbBuchung.ZahlungEingang BETWEEN #DLG_Between#) 

GROUP BY Format(tbBuchung.Zeit,"H")
ORDER BY Format(tbBuchung.Zeit,"H") ASC;






